# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name fast-logger

%global common_summary A fast logging system

%global common_description A fast logging system.

Name:           ghc-%{pkg_name}
Version:        0.3.1
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch1:         fast-logger-no-unix-time.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-date-cache-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Mon Feb 11 2013 Jens Petersen <petersen@redhat.com> - 0.3.1-1
- update to 0.3.1
- depends on data-cache

* Tue Nov 06 2012 Jens Petersen <petersen@redhat.com> - 0.2.2-1
- update to 0.2.2 with cabal-rpm
- patch for missing unix-time

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.0.2-4
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.0.2-3
- rebuild

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.0.2-2
- add license to ghc_files

* Fri Mar  2 2012 Jens Petersen <petersen@redhat.com> - 0.0.2-1
- update to 0.0.2

* Thu Jan 26 2012 Jens Petersen <petersen@redhat.com> - 0.0.1-1
- BSD license

* Thu Jan 26 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.4
